library(foreign)
library(ggplot2)
library(MASS)
library(AER)
library(effects)
library(ggpubr)
###Data discription### 
######################
dat <- read.csv("F:/Fly Aphid Psyllid 2021 Tuks/Masters stuff/Psyllid field ibutton readings/field trial data.csv", sep=";")
dat <- within(dat, {
  Treatment <- factor(Treatment)
  Day <- factor(Day)
})
summary(dat)

ggplot(dat, aes(Total_psyllids_caught, fill = Treatment)) + geom_histogram(binwidth = 1) + facet_grid( vars(Treatment), vars(Day))+ theme_pubr() 
#### Negative binomial regression of field Data#####
summary(m1 <- glm.nb(Total_psyllids_caught ~ Treatment + Day, data = dat))

m2 <- update(m1, . ~ . - Treatment)
anova(m1, m2)#####Treatment has no significant effect on psyllid catch

m3 <-update(m1, . ~ . - Day)
anova(m1, m3)
####Day does have a significant effect on Psyllid catch

#####Comparing the log-likelihoods of a negative binomial regression model and a 
#####Poisson regression model.
library(pscl)
odTest(m1, alpha = .05, digits = max(3, getOption("digits")-3))

##Likelihood ratio test of H0: Poisson, as restricted NB model:
##  n.b., the distribution of the test-statistic under H0 is non-standard
##e.g., see help(odTest) for details/references

##Critical value of test statistic at the alpha= 0.05 level: 2.7055 
##Chi-Square Test Statistic =  385.7025 p-value = < 2.2e-16 

#Clear evidence of overdispersal making the negative binomial model the model of best fit.


summary(m1)

plot(allEffects(m1), type='response')

influenceIndexPlot(m1)
residualPlot(m1)

