library(tidyverse)
library(ggpubr)
library(rstatix)

###Summary
KWallis.D3 %>% 
  group_by(group) %>%
  get_summary_stats(psyllid, type = "common")


##Visualization

ggboxplot(KWallis.D3, x = "group", y = "psyllid")


###KW test

res.kruskal <- KWallis.D3 %>% kruskal_test(psyllid ~ group)
res.kruskal
KWallis.D3 %>% kruskal_effsize(psyllid ~ group)

pwc <- KWallis.D3 %>% 
  dunn_test(psyllid ~ group, p.adjust.method = "bonferroni") 
pwc

#KW D7
KWallis.D7 %>% 
  group_by(group) %>%
  get_summary_stats(psyllid, type = "common")


##Visualization

ggboxplot(KWallis.D7, x = "group", y = "psyllid")


###KW test

res.kruskal <- KWallis.D7 %>% kruskal_test(psyllid ~ group)
res.kruskal
KWallis.D7 %>% kruskal_effsize(psyllid ~ group)

pwc <- KWallis.D7 %>% 
  dunn_test(psyllid ~ group, p.adjust.method = "bonferroni") 
pwc

print(pwc, n=45)
